
sulu_route:
    mappings:
        Sulu\Bundle\ArticleBundle\Document\ArticleDocument:
            generator: "schema"
            options:
                route_schema: "/articles/{object.getTitle()}"
        Sulu\Bundle\ArticleBundle\Document\ArticlePageDocument:
            generator: "article_page"
            options:
                route_schema: "/{translator.trans(\"page\")}-{object.getPageNumber()}"
                parent: "{object.getParent().getRoutePath()}"

sulu_article:
    index_name: "sulu"
    hosts: ['elasticsearch:9200']
    default_main_webspace: "sulu"
    smart_content:
        default_limit: 100
    documents:
        article:
            view:                 Sulu\Bundle\ArticleBundle\Document\ArticleViewDocument
        article_page:
            view:                 Sulu\Bundle\ArticleBundle\Document\ArticlePageViewObject
    # types:
    #     name:
    #         translation_key:      ~
    display_tab_all:      true
    default_author:       true
    # search_fields:
    #     - title
    #     - excerpt.title
    #     - excerpt.description
    #     - excerpt.seo.title
    #     - excerpt.seo.description
    #     - excerpt.seo.keywords
    #     - teaser_description

# config/packages/ongr_elasticsearch.yaml
ongr_elasticsearch:
    analysis:
        tokenizer:
            pathTokenizer:
                type: path_hierarchy
        analyzer:
            pathAnalyzer:
                tokenizer: pathTokenizer


sulu_document_manager:
    mapping:
        article:
            class: Sulu\Bundle\ArticleBundle\Tests\TestExtendBundle\Document\ArticleDocument
            phpcr_type: 'sulu:article'
        article_page:
            class: Sulu\Bundle\ArticleBundle\Tests\TestExtendBundle\Document\ArticlePageDocument
            phpcr_type: 'sulu:articlepage'
